@import "~@digicard/src/variables.scss";

.root {
    background-color: $white_text_color;
    border-radius: 20px;
    border: 1px solid $gray_color;
    position: relative;
    padding: 0 10px;
    margin-top: 50px;

    .avatar {
        width: 100px;
        height: 100px;
        border-radius: 50%;
        border: 3px solid $white_text_color;
        margin: 0 auto;
        position: absolute;
        top: -50px;
        left: calc(50% - 50px);
    }

    .form {
        margin-top: 80px;
        padding: 0 30px;

        h3 {
            text-align: center;
            text-transform: uppercase;
            font-size: 24px;
            padding-bottom: 20px;
        }

        [class='ant-switch'] {
            border: 1px solid $gray_color;
        }

        .actions {
            display: flex;
            justify-content: center;
            align-items: center;

            .submit {
                padding: 10px;
                margin: 0 auto;
                height: auto;
                text-align: center;
                width: 300px;
                border-radius: 30px;
                text-transform: uppercase;
                font-weight: bold;
            }
        }
    }
}
